Skip to navigation

List Nexus By Address

View as Markdown

Access control: this endpoint is available to users with the everyone role.

Returns a list of all Avalara-supported taxing jurisdictions that apply to this address. This API allows you to identify which tax authorities apply to a physical location, salesperson address, or point of sale. In general, it is usually expected that a company will declare nexus in all the jurisdictions that apply to each physical address where the company does business. The results of this API call can be passed to the ‘Create Nexus’ API call to declare nexus for this address.

Authentication

Authorizationstring
API Key authentication via header

Headers

X-Avalara-ClientstringOptionalDefaults to Swagger UI; 26.7.0; Custom; 1.0

Identifies the software you are using to call this API. For more information on the client header, see Client Headers .

Query parameters

line1stringOptional
The first address line portion of this address.
line2stringOptional
The first address line portion of this address.
line3stringOptional
The first address line portion of this address.
citystringOptional
The city portion of this address.
regionstringRequired

Name or ISO 3166 code identifying the region portion of the address.

This field supports many different region identifiers:

  • Two and three character ISO 3166 region codes
  • Fully spelled out names of the region in ISO supported languages
  • Common alternative spellings for many regions

For a full list of all supported codes and names, please see the Definitions API ListRegions.

postalCodestringOptional
The postal code or zip code portion of this address.
countrystringRequired

Name or ISO 3166 code identifying the country portion of this address.

This field supports many different country identifiers:

  • Two character ISO 3166 codes
  • Three character ISO 3166 codes
  • Fully spelled out names of the country in ISO supported languages
  • Common alternative spellings for many countries

For a full list of all supported codes and names, please see the Definitions API ListCountries.

$filterstringOptional

A filter statement to identify specific records to retrieve. For more information on filtering, see Filtering in REST.
Not filterable: streamlinedSalesTax, isSSTActive, taxTypeGroup, taxAuthorityId, taxName, parameters

$topintegerOptional

If nonzero, return no more than this number of results. Used with $skip to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.

$skipintegerOptional

If nonzero, skip this number of results before returning data. Used with $top to provide pagination for large datasets.

$orderBystringOptional

A comma separated list of sort statements in the format (fieldname) [ASC|DESC], for example id ASC.

Response

Success
@recordsetCountintegerOptional
valuelist of objectsOptional
pageKeystringOptional